Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		kdevplatform
#Epoch:		0
Version:	1.0.0
Release:	1
License:	GNU/GPL
URL:		http://www.kdevelop.org/
Group:		Development
Summary:	Libraries for use by KDE development tools

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: cmake
BuildRequires: automoc4
BuildRequires: libX11-devel
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: boost-devel

#Automatically resolved build dependencies
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel
BuildRequires: subversion-devel

%description
KDE Development platform, the foundations upon which
KDevelop and Quanta are built

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/kde4/kcm_kdev_bgsettings.so
%{_libdir}/kde4/kcm_kdev_ccsettings.so
%{_libdir}/kde4/kcm_kdev_envsettings.so
%{_libdir}/kde4/kcm_kdev_genericprojectmanagersettings.so
%{_libdir}/kde4/kcm_kdev_pluginsettings.so
%{_libdir}/kde4/kcm_kdev_projectsettings.so
%{_libdir}/kde4/kcm_kdevsourceformattersettings.so
%{_libdir}/kde4/kcm_kdev_uisettings.so
%{_libdir}/kde4/kdevappwizard.so
%{_libdir}/kde4/kdevclassbrowser.so
%{_libdir}/kde4/kdevcontextbrowser.so
%{_libdir}/kde4/kdevcvs.so
%{_libdir}/kde4/kdevdocumentswitcher.so
%{_libdir}/kde4/kdevdocumentview.so
%{_libdir}/kde4/kdevexecute.so
%{_libdir}/kde4/kdevfilemanager.so
%{_libdir}/kde4/kdevgenericmanager.so
%{_libdir}/kde4/kdevgrepview.so
%{_libdir}/kde4/kdevkonsoleview.so
%{_libdir}/kde4/kdevopenwith.so
%{_libdir}/kde4/kdevpatchreview.so
%{_libdir}/kde4/kdevproblemreporter.so
%{_libdir}/kde4/kdevprojectmanagerview.so
%{_libdir}/kde4/kdevquickopen.so
%{_libdir}/kde4/kdevsnippet.so
%{_libdir}/kde4/kdevstandardoutputview.so
%{_libdir}/kde4/kdevsubversion.so
%{_libdir}/libkdevplatformdebugger.so
%{_libdir}/libkdevplatformdebugger.so.*
%{_libdir}/libkdevplatforminterfaces.so
%{_libdir}/libkdevplatforminterfaces.so.*
%{_libdir}/libkdevplatformlanguage.so
%{_libdir}/libkdevplatformlanguage.so.*
%{_libdir}/libkdevplatformoutputview.so
%{_libdir}/libkdevplatformoutputview.so.*
%{_libdir}/libkdevplatformproject.so
%{_libdir}/libkdevplatformproject.so.*
%{_libdir}/libkdevplatformshell.so
%{_libdir}/libkdevplatformshell.so.*
%{_libdir}/libkdevplatformtests.so
%{_libdir}/libkdevplatformtests.so.*
%{_libdir}/libkdevplatformutil.so
%{_libdir}/libkdevplatformutil.so.*
%{_libdir}/libkdevplatformvcs.so
%{_libdir}/libkdevplatformvcs.so.*
%{_libdir}/libsublime.so
%{_libdir}/libsublime.so.*
%{_datadir}/icons/hicolor/22x22/actions/run-clean.png
%{_datadir}/icons/hicolor/22x22/actions/run-install.png
%{_datadir}/kde4/apps/kdevappwizard/kdevappwizard.rc
%{_datadir}/kde4/apps/kdevappwizard/template_previews/default-kdevelop.png
%{_datadir}/kde4/apps/kdevclassbrowser/kdevclassbrowser.rc
%{_datadir}/kde4/apps/kdevcodegen/licenses
%{_datadir}/kde4/apps/kdevcontextbrowser/kdevcontextbrowser.rc
%{_datadir}/kde4/apps/kdevcvs/kdevcvs.rc
%{_datadir}/kde4/apps/kdevdebugger/kdevdebuggershellui.rc
%{_datadir}/kde4/apps/kdevdocumentswitcher/kdevdocumentswitcher.rc
%{_datadir}/kde4/apps/kdevdocumentview/kdevdocumentview.rc
%{_datadir}/kde4/apps/kdevfilemanager/kdevfilemanager.rc
%{_datadir}/kde4/apps/kdevgrepview/kdevgrepview.rc
%{_datadir}/kde4/apps/kdevpatchreview/kdevpatchreview.rc
%{_datadir}/kde4/apps/kdevproblemreporter/kdevproblemreporter.rc
%{_datadir}/kde4/apps/kdevprojectmanagerview/kdevprojectmanagerview.rc
%{_datadir}/kde4/apps/kdevquickopen/kdevquickopen.rc
%{_datadir}/kde4/apps/kdevsession/kdevsessionui.rc
%{_datadir}/kde4/apps/kdevsnippet/kdevsnippet.rc
%{_datadir}/kde4/apps/kdevsourceformatter/kdevsourceformatter.rc
%{_datadir}/kde4/apps/kdevstandardoutputview/kdevstandardoutputview.rc
%{_datadir}/kde4/services/kcm_kdev_bgsettings.desktop
%{_datadir}/kde4/services/kcm_kdev_ccsettings.desktop
%{_datadir}/kde4/services/kcm_kdev_envsettings.desktop
%{_datadir}/kde4/services/kcm_kdev_genericprojectmanagersettings.desktop
%{_datadir}/kde4/services/kcm_kdev_pluginsettings.desktop
%{_datadir}/kde4/services/kcm_kdev_projectsettings.desktop
%{_datadir}/kde4/services/kcm_kdevsourceformattersettings.desktop
%{_datadir}/kde4/services/kcm_kdev_uisettings.desktop
%{_datadir}/kde4/services/kdevappwizard.desktop
%{_datadir}/kde4/services/kdevclassbrowser.desktop
%{_datadir}/kde4/services/kdevcontextbrowser.desktop
%{_datadir}/kde4/services/kdevcvs.desktop
%{_datadir}/kde4/services/kdevdocumentswitcher.desktop
%{_datadir}/kde4/services/kdevdocumentview.desktop
%{_datadir}/kde4/services/kdevexecute.desktop
%{_datadir}/kde4/services/kdevfilemanager.desktop
%{_datadir}/kde4/services/kdevgenericmanager.desktop
%{_datadir}/kde4/services/kdevgrepview.desktop
%{_datadir}/kde4/services/kdevkonsoleview.desktop
%{_datadir}/kde4/services/kdevopenwith.desktop
%{_datadir}/kde4/services/kdevpatchreview.desktop
%{_datadir}/kde4/services/kdevproblemreporter.desktop
%{_datadir}/kde4/services/kdevprojectmanagerview.desktop
%{_datadir}/kde4/services/kdevquickopen.desktop
%{_datadir}/kde4/services/kdevsnippet.desktop
%{_datadir}/kde4/services/kdevstandardoutputview.desktop
%{_datadir}/kde4/services/kdevsubversion.desktop
%{_datadir}/kde4/servicetypes/kdevelopplugin.desktop

%{_locale}/*/LC_MESSAGES/desktop_extragear-sdk_kdevplatform.mo
%{_locale}/*/LC_MESSAGES/kdevappwizard.mo
%{_locale}/*/LC_MESSAGES/kdevclassbrowser.mo
%{_locale}/*/LC_MESSAGES/kdevcontextbrowser.mo
%{_locale}/*/LC_MESSAGES/kdevcvs.mo
%{_locale}/*/LC_MESSAGES/kdevdocumentswitcher.mo
%{_locale}/*/LC_MESSAGES/kdevdocumentview.mo
%{_locale}/*/LC_MESSAGES/kdevexecute.mo
%{_locale}/*/LC_MESSAGES/kdevfilemanager.mo
%{_locale}/*/LC_MESSAGES/kdevgenericprojectmanager.mo
%{_locale}/*/LC_MESSAGES/kdevgrepview.mo
%{_locale}/*/LC_MESSAGES/kdevkonsole.mo
%{_locale}/*/LC_MESSAGES/kdevpatchreview.mo
%{_locale}/*/LC_MESSAGES/kdevplatform.mo
%{_locale}/*/LC_MESSAGES/kdevproblemreporter.mo
%{_locale}/*/LC_MESSAGES/kdevprojectmanagerview.mo
%{_locale}/*/LC_MESSAGES/kdevquickopen.mo
%{_locale}/*/LC_MESSAGES/kdevsnippet.mo
%{_locale}/*/LC_MESSAGES/kdevstandardoutputview.mo
%{_locale}/*/LC_MESSAGES/kdevsubversion.mo

%files devel
%defattr(-,root,root)
%{_includedir}/kdevplatform
%{_libdir}/cmake/kdevplatform

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- version update
* Mon Apr 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.99-1
- version update, rc3
* Mon Dec 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.97-1
- initial CCux package release
